$(document).ready(function() {
    cargarFechasInactivas();
});



function cargarFechasInactivas() {
    $.ajax({
        type: 'post',
        url: 'fechasInactivasCargar-ajax.php',
        success: function(data) {

            //alert(data);
            $("#tableContent").html(data).fadeIn('slow');

            jQuery('#tablaFechasInactivas').DataTable({
                responsive: true,
                sort: false
            });

        },
        error: function(msg) {

            alert('No se pudo cargar la información');

        },
        complete: function() {

        }
    })

}

function solicitaRecuperar(par1, par2) {

    $.ajax({
        type : 'post',
        url  : 'fechasInactivasRecuperar-ajax.php',
        data :{
            par1 : par1
        },
        success: function(data) {

            $("#div_modal_fechaInactiva").html(data).fadeIn('slow');
            $('#md_modal_fechaInactiva').modal('show');

        }
    })

}

function guardarFechaInactiva() {
    $.ajax({
        type: 'post',
        url: 'fechasInactivasGuardar-ajax.php',
        dataType: 'json',
        beforeSend: function() {
            mostrar_blockUI();
        },
        async: false,
        data: $("#frm_fechaInactiva").serialize(),
        success: function(msg) {
            if (msg.success) {
                $('#md_modal_fechaInactiva').modal('hide');
                modalMensajeMostrar( 'Guardar fecha inactiva', msg.mensaje, cargarFechasInactivas);
            } else {
                modalMensajeMostrar( 'Guardar fecha inactiva', msg.mensaje);
            }
        },
        error: function(msg) {
            modalMensajeMostrar( 'Error', 'No se pudo cargar la información' );
        },
        complete: function() {
            ocultar_blockUI();
        }
    });

}

function fechaInactivaEliminarConfirmar(par1, par2) {
    modalConfirmarMostrar('Eliminación de una fecha inactiva', '¿Está seguro de eliminar la fecha inactiva <b>' + par2 + '</b>?', 
                            fechaInactivaioEliminar, par1, 'Eliminar', 'picons-thin-icon-thin-0018_office_trash_bin');
}

function fechaInactivaioEliminar() {
    var v_par1 = $('#md_modal_confirmar_txt_id').val();
    $.ajax({
        type: 'post',
        url: 'fechasInactivasEliminar-ajax.php',
        data: {
            par1: v_par1
        },
        dataType: 'json',
        beforeSend: function() {
            mostrar_blockUI();
        },
        success: function(msg) {
            if (msg.success) {
                $('#md_modal_confirmar').modal('hide');
                modalMensajeMostrar( 'Eliminación de una fecha inactiva', msg.mensaje, cargarFechasInactivas);
            } else {
                modalMensajeMostrar( 'Eliminación de una fecha inactiva', msg.mensaje);
            }
        },
        error: function(msg) {
            $('#md_modal_confirmar_lbl_mensaje').text('No se pudo eliminar la fecha inactiva');
        },
        complete: function() {
            ocultar_blockUI();			
        }

    });

}


